using System;

internal sealed class Delegate805 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate805 delegate805_1)
	{
		return delegate805_1(object_0);
	}

	public extern Delegate805(object object_0, IntPtr intptr_0);

	static Delegate805()
	{
		Class10.smethod_13(typeof(Delegate805).TypeHandle);
	}

	internal static Delegate805 delegate805_0;
}
